# Interface methods for submodule: VoronoiSegmentationImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: VoronoiSegmentationImageFilter
class VoronoiSegmentationImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetNumberOfSeeds(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfSeeds(self) -> int:
		""""""
		...

	def SetMinRegion(self, _arg: int) -> None:
		""""""
		...

	def GetMinRegion(self) -> int:
		""""""
		...

	def SetSteps(self, _arg: int) -> None:
		""""""
		...

	def GetSteps(self) -> int:
		""""""
		...

	def GetLastStepSeeds(self) -> int:
		""""""
		...

	def GetNumberOfSeedsToAdded(self) -> int:
		""""""
		...

	def SetUseBackgroundInAPrior(self, _arg: bool) -> None:
		""""""
		...

	def GetUseBackgroundInAPrior(self) -> bool:
		""""""
		...

	def SetOutputBoundary(self, _arg: bool) -> None:
		""""""
		...

	def GetOutputBoundary(self) -> bool:
		""""""
		...

	def SetInteractiveSegmentation(self, _arg: bool) -> None:
		""""""
		...

	def GetInteractiveSegmentation(self) -> bool:
		""""""
		...

	def InteractiveSegmentationOn(self) -> None:
		""""""
		...

	def InteractiveSegmentationOff(self) -> None:
		""""""
		...

	def SetMeanDeviation(self, _arg: float) -> None:
		""""""
		...

	def GetMeanDeviation(self) -> float:
		""""""
		...

	def SetSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetSize(self) -> Sequence[int]:
		""""""
		...

	@overload
	def TakeAPrior(self, arg0) -> None:
		""""""
		...

	@overload
	def TakeAPrior(self, aprior) -> None:
		""""""
		...

	def RunSegment(self) -> None:
		""""""
		...

	def RunSegmentOneStep(self) -> None:
		""""""
		...

	def MakeSegmentBoundary(self) -> None:
		""""""
		...

	def MakeSegmentObject(self) -> None:
		""""""
		...

	def GetVoronoiDiagram(self):
		""""""
		...

	def SetSeeds(self, seeds) -> None:
		""""""
		...

	def GetSeed(self, SeedID: int) -> Sequence[float]:
		""""""
		...

	def DrawDiagram(self, result, incolor: int, outcolor: int, boundcolor: int) -> None:
		""""""
		...

	def BeforeNextStep(self) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def EnlargeOutputRequestedRegion(self, output) -> None:
		""""""
		...

	def SetMean(self, _arg: float) -> None:
		""""""
		...

	def GetMean(self) -> float:
		""""""
		...

	def SetSTD(self, _arg: float) -> None:
		""""""
		...

	def GetSTD(self) -> float:
		""""""
		...

	def SetMeanTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetMeanTolerance(self) -> float:
		""""""
		...

	def SetSTDTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetSTDTolerance(self) -> float:
		""""""
		...

	def SetMeanPercentError(self, x: float) -> None:
		""""""
		...

	def GetMeanPercentError(self) -> float:
		""""""
		...

	def GetSTDPercentError(self) -> float:
		""""""
		...

	def SetSTDPercentError(self, x: float) -> None:
		""""""
		...

